import { OptInInfo } from "../../businessObjects/OptInInfo.js";
import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { EVMContractAddress } from "../../primitives/index.js";
import { PropertiesOf } from "../../utilities/index.js";
export declare class InvitationForStorage extends VersionedObject {
    consentContractAddress: EVMContractAddress;
    tokenId: string;
    static CURRENT_VERSION: number;
    constructor(consentContractAddress: EVMContractAddress, tokenId: string);
    getVersion(): number;
    static toInvitation(src: InvitationForStorage): OptInInfo;
    static fromOptInInfo(src: OptInInfo): InvitationForStorage;
}
export declare class InvitationForStorageMigrator extends VersionedObjectMigrator<InvitationForStorage> {
    protected factory(data: PropertiesOf<InvitationForStorage>): InvitationForStorage;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
    getCurrentVersion(): number;
}
//# sourceMappingURL=InvitationForStorage.d.ts.map