"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InvitationForStorageMigrator = exports.InvitationForStorage = void 0;
const OptInInfo_js_1 = require("../../businessObjects/OptInInfo.js");
const VersionedObject_js_1 = require("../../businessObjects/versioned/VersionedObject.js");
const index_js_1 = require("../../primitives/index.js");
class InvitationForStorage extends VersionedObject_js_1.VersionedObject {
    constructor(consentContractAddress, tokenId) {
        super();
        this.consentContractAddress = consentContractAddress;
        this.tokenId = tokenId;
    }
    getVersion() {
        return InvitationForStorage.CURRENT_VERSION;
    }
    static toInvitation(src) {
        return new OptInInfo_js_1.OptInInfo(src.consentContractAddress, (0, index_js_1.TokenId)(BigInt(src.tokenId)));
    }
    static fromOptInInfo(src) {
        return new InvitationForStorage(src.consentContractAddress, src.tokenId.toString());
    }
}
exports.InvitationForStorage = InvitationForStorage;
InvitationForStorage.CURRENT_VERSION = 1;
class InvitationForStorageMigrator extends VersionedObject_js_1.VersionedObjectMigrator {
    factory(data) {
        return new InvitationForStorage(data.consentContractAddress, data.tokenId);
    }
    getUpgradeFunctions() {
        return new Map();
    }
    getCurrentVersion() {
        return InvitationForStorage.CURRENT_VERSION;
    }
}
exports.InvitationForStorageMigrator = InvitationForStorageMigrator;
//# sourceMappingURL=InvitationForStorage.js.map