import { VersionedObject, VersionedObjectMigrator } from "../../businessObjects/versioned/VersionedObject.js";
import { PropertiesOf, QuestionnaireAnswer } from "../../index";
import { IpfsCID, UnixTimestamp } from "../../primitives/index.js";
export declare class QuestionnaireHistory extends VersionedObject {
    id: IpfsCID;
    measurementDate: UnixTimestamp;
    answers: PropertiesOf<QuestionnaireAnswer>[];
    static CURRENT_VERSION: number;
    constructor(id: IpfsCID, measurementDate: UnixTimestamp, answers: PropertiesOf<QuestionnaireAnswer>[]);
    getVersion(): number;
}
export declare class QuestionnaireHistoryMigrator extends VersionedObjectMigrator<QuestionnaireHistory> {
    getCurrentVersion(): number;
    protected factory(data: PropertiesOf<QuestionnaireHistory>): QuestionnaireHistory;
    protected getUpgradeFunctions(): Map<number, (data: Record<string, unknown>, version: number) => Record<string, unknown>>;
}
//# sourceMappingURL=QuestionnaireHistoryMigrator.d.ts.map