import { BlockchainProviderError } from "../../errors/blockchain/BlockchainProviderError.js";
import { ExecutionRevertedError } from "../../errors/blockchain/ExecutionRevertedError.js";
import { GasTooLowError } from "../../errors/blockchain/GasTooLowError.js";
import { InsufficientFundsError } from "../../errors/blockchain/InsufficientFundsError.js";
import { InvalidAddressError } from "../../errors/blockchain/InvalidAddressError.js";
import { InvalidArgumentError } from "../../errors/blockchain/InvalidArgumentError.js";
import { InvalidNonceError } from "../../errors/blockchain/InvalidNonceError.js";
import { MissingArgumentError } from "../../errors/blockchain/MissingArgumentError.js";
import { NetworkUnreachableError } from "../../errors/blockchain/NetworkUnreachableError.js";
import { SignerUnavailableError } from "../../errors/blockchain/SignerUnavailableError.js";
import { UnexpectedArgumentError } from "../../errors/blockchain/UnexpectedArgumentError.js";
import { UnknownBlockchainError } from "../../errors/blockchain/UnknownBlockchainError.js";
export type BlockchainTransactionErrors = UnknownBlockchainError | InsufficientFundsError | InvalidArgumentError | MissingArgumentError | UnexpectedArgumentError | GasTooLowError | InvalidAddressError | ExecutionRevertedError | InvalidNonceError;
export type BlockchainCommonErrors = BlockchainProviderError | NetworkUnreachableError | SignerUnavailableError | BlockchainTransactionErrors;
//# sourceMappingURL=BlockchainCommonErrors.d.ts.map